osgViewer::GraphicsWindowWin32::WindowData Struct Reference

`#include <GraphicsWindowWin32>`

Inheritance diagram for osgViewer::GraphicsWindowWin32::WindowData:

## Public Member Functions

| WindowData (HWND window, bool installEventHandler=true)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

HWND | _hwnd
bool | _installEventHandler

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

WindowData is used to pass in the Win32 window handle attached the GraphicsContext::Traits structure.

## Constructor & Destructor Documentation

## WindowData()

osgViewer::GraphicsWindowWin32::WindowData::WindowData | ( | HWND | window,
|  | bool | installEventHandler = true )

inline

References _hwnd, and _installEventHandler.

## Member Data Documentation

## _hwnd

HWND osgViewer::GraphicsWindowWin32::WindowData::_hwnd

Referenced by WindowData().

## _installEventHandler

bool osgViewer::GraphicsWindowWin32::WindowData::_installEventHandler

Referenced by WindowData().

The documentation for this struct was generated from the following file:

- GraphicsWindowWin32